.page-footer {
    padding: 60px 0 0;
    background: var(--light-black);
    position: relative;
    z-index: 1;
    overflow: hidden;
}

.page-footer a {
    background: none;
}

.page-footer:after {
    content: "";
    position: absolute;
    width: 183px;
    height: 183px;
    left: -89px;
    top: -2px;
    border-radius: 50%;
    background: radial-gradient(50% 50% at 50% 50%, rgba(75, 123, 236, 0.16) 0%, rgba(75, 123, 236, 0) 100%);
    transform: matrix(1, 0, 0, -1, 0, 0);
    z-index: -1;
}

.page-footer:before {
    content: "";
    position: absolute;
    border-radius: 50%;
    z-index: -1;
    width: 149px;
    height: 149px;
    right: -91px;
    bottom: 176px;
    background: radial-gradient(50% 50% at 50% 50%, rgba(11, 232, 129, 0.16) 0%, rgba(11, 232, 129, 0) 100%);
}

.footer-newsletter h2 {
    text-align: center;
    margin: 0 0 22px;
}

.footer-newsletter__input input {
    width: 100%;
    display: block;
    background: var(--off-black);
    border: none;
    height: 59px;
    border-radius: 100px;
    padding: 10px 75px 10px 20px;
    font-size: 16px;
    font-weight: 400;
    color: var(--text-color);
}

.footer-newsletter__input input::placeholder {
    opacity: 1;
    color: var(--text-color);
}

.footer-newsletter__input .btn i {
    font-size: 13px;
}

.footer-newsletter__input .btn {
    padding: 10px 15px;
    position: absolute;
    right: 10px;
    top: 10px;
}

.footer-newsletter__input {
    position: relative;
}

.footer-links ul {
    padding: 0;
    margin: 0;
    display: flex;
    align-items: center;
    flex-wrap: wrap;
    justify-content: center;
    gap: 22px 20px;
}

.footer-links ul li {
    padding: 0;
    margin: 0;
}

.footer-links ul li:before {
    display: none;
}

.footer-links ul li a {
    font-size: 16px;
    line-height: 1em;
    display: block;
}

.footer-links {
    margin: 40px 0 0;
}

.footer-social ul {
    padding: 0;
    margin: 0;
    display: flex;
    align-items: center;
    flex-wrap: wrap;
    justify-content: center;
    gap: 20px;
}

.footer-social ul li {
    padding: 0;
    margin: 0;
}

.footer-social ul li:before {
    display: none;
}

.footer-social ul li a {
    font-size: 40px;
    color: var(--primary-color);
    line-height: 1em;
    display: block;
}

.footer-social {
    margin: 45px 0 0;
}

.footer-bottom {
    padding: 14px 0;
    background: var(--dark-grey);
    position: relative;
    z-index: 1;
}

.footer-bottom ul {
    padding: 0;
    margin: 0;
    display: flex;
    align-items: center;
    flex-wrap: wrap;
    justify-content: center;
    gap: 17px 20px;
}

.footer-bottom ul li {
    padding: 0;
    margin: 0;
}

.footer-bottom ul li:before {
    display: none;
}

.footer-bottom ul li,
.footer-bottom ul li a {
    font-size: 16px;
    font-weight: normal;
    font-family: var(--primary-font);
    color: var(--text-color);
    line-height: 1em;
    display: block;
}

.back-to-top a {
    display: flex;
    align-items: center;
    justify-content: center;
    margin: 0 auto;
    font-size: 16px;
    color: var(--primary-color);
    gap: 6px;
    text-transform: uppercase;
}

.back-to-top a i {
    font-size: 13px;
}

.back-to-top {
    margin: 13px 0 0;
}

.footer-logo-text {
    position: absolute;
    bottom: -2px;
    left: 50%;
    transform: translate(-50%, 0);
    width: 248px;
    margin-left: 58px;
}

.footer-logo-icon {
    position: absolute;
    bottom: -20px;
    left: 50%;
    transform: translate(-50%, 0);
    width: 88px;
    margin-left: -143px;
}

.page-footer__bg {
    height: 100px;
    overflow: hidden;
    position: relative;
}

@media(min-width: 768px) {
    .page-footer__bg {
        height: 160px;
    }

    .footer-bottom {
        padding: 17px 0;
    }

    .page-footer {
        padding: 100px 0 0;
    }

    .footer-newsletter h2 {
        margin: 0 0 36px;
    }

    .footer-newsletter__input input {
        height: 67px;
        padding: 20px 173px 20px 33px;
        font-size: 18px;
    }

    .footer-newsletter__input .btn {
        padding: 14px 31px;
    }

    .footer-links ul {
        gap: 25px 32px;
        margin: 0 auto;
    }

    .footer-links {
        margin: 42px 0 0;
    }

    .footer-links ul li a,
    .footer-bottom ul li a {
        font-size: 18px;
    }

    .footer-bottom ul {
        gap: 17px 32px;
    }

    .footer-logo-text {
        bottom: -3px;
        width: 506px;
        margin-left: 131px;
    }

    .footer-logo-icon {
        bottom: -45px;
        width: 180px;
        margin-left: -295px;
    }

    .footer-newsletter__wrapper {
        max-width: 832px;
        margin: 0 auto;
    }

    .page-footer:after {
        width: 245px;
        height: 245px;
        left: -123px;
        top: 40px;
    }

    .page-footer:before {
        width: 204px;
        height: 204px;
        right: -128px;
        bottom: 226px;
    }
}

@media(min-width: 1200px) {
    .page-footer {
        padding: 120px 0 0;
    }

    .footer-bottom-wrapper {
        display: flex;
        align-items: center;
        justify-content: center;
        gap: 50px;
    }

    .footer-bottom ul {
        gap: 50px;
    }

    .back-to-top {
        margin: 0;
    }

    .back-to-top a {
        font-size: 18px;
        gap: 15px;
    }

    .page-footer__bg {
        height: 260px;
    }

    .footer-bottom ul li,
    .footer-bottom ul li a {
        font-size: 18px;
    }

    .footer-bottom {
        padding: 18px 0;
    }

    .footer-links ul {
        gap: 50px;
    }

    .footer-links ul li a {
        color: var(--white);
    }

    .footer-newsletter__input input {
        padding: 20px 185px 20px 25px;
    }

    .footer-logo-text {
        bottom: -5px;
        width: 815px;
        margin-left: 175px;
    }

    .footer-logo-icon {
        bottom: -89px;
        width: 310px;
        margin-left: 0;
        left: 0;
        transform: none;
    }

    .footer-newsletter h2 {
        margin: 0 0 32px;
    }

    .page-footer:after {
        width: 303px;
        height: 303px;
        left: -130px;
        top: 167px;
    }

    .page-footer:before {
        width: 303px;
        height: 303px;
        right: -119px;
        bottom: 129px;
    }

    .footer-social ul li a:hover {
        color: var(--grey);
    }

    .back-to-top a:hover {
        color: var(--primary-hover-color);
        text-shadow: 0 0 30px rgba(152, 225, 173, 0.35);
    }

    .footer-links ul li a:hover,
    .footer-bottom ul li a:hover {
        color: var(--primary-color);
        text-shadow: 0 0 30px rgba(11, 232, 129, 0.8);
    }
}

@media(min-width: 1400px) {
    .footer-logo-text {
        width: 919px;
        margin-left: 219px;
        bottom: -10px;
    }

    .footer-logo-icon {
        width: 374px;
    }
}

@media(min-width: 1600px) {
    .footer-logo-text {
        width: 1049px;
        margin-left: 109px;
    }

    .footer-logo-icon {
        bottom: -80px;
    }
}